Map<T, List<S>> sortMapByKeys<S, T>(Map<T, List<S>> unsortedMap) {
  final _keys = unsortedMap.keys.toList();
  _keys.sort();
  var map = <T, List<S>>{};
  for (var key in _keys) {
    map.putIfAbsent(key, () => unsortedMap[key]);
  }
  return map;
}

Map<T, List<S>> filterMap<S, T>(
  Map<T, List<S>> unfilteredMap,
  bool Function(S) filter,
) {
  final _keys = unfilteredMap.keys.toList();
  _keys.sort();
  var map = <T, List<S>>{};
  for (var key in _keys) {
    final _list = unfilteredMap[key].where(filter).toList();
    if (_list.isNotEmpty) {
      map.putIfAbsent(key, () => _list);
    }
  }
  return map;
}
