String capitalize(String input) {
  if (input == null) {
    throw new ArgumentError("string: $input");
  }
  if (input.length == 0) {
    return input;
  }
  return input[0].toUpperCase() + input.substring(1);
}

String formatPhoneNumber(String phoneNumber) {
  if (phoneNumber == null) return '';
  final numbersOnly =
      phoneNumber.replaceAll(new RegExp('/[^0-9]/g'), phoneNumber);
  final length = numbersOnly.length;
  final hasLeadingOne = (numbersOnly[0] ?? '') == '1';
  if (length == 7 || length == 10 || (length == 11 && hasLeadingOne)) {
    final hasAreaCode = (length >= 10);
    var sourceIndex = 0;

    // Leading 1
    var leadingOne = '';
    if (hasLeadingOne) {
      leadingOne = "1 ";
      sourceIndex += 1;
    }

    // Area code
    var areaCode = '';
    if (hasAreaCode) {
      final areaCodeLength = 3;
      final areaCodeSubstring =
          numbersOnly.substring(sourceIndex, areaCodeLength + sourceIndex);
      areaCode = '($areaCodeSubstring)';
      sourceIndex += areaCodeLength;
    }

    // Prefix, 3 characters
    final prefixLength = 3;
    final prefix =
        numbersOnly.substring(sourceIndex, prefixLength + sourceIndex);
    sourceIndex += prefixLength;

    // Suffix, 4 characters
    final suffixLength = 4;
    final suffix =
        numbersOnly.substring(sourceIndex, suffixLength + sourceIndex);

    return leadingOne + areaCode + ' ' + prefix + "-" + suffix;
  } else {
    return null;
  }
}
