import 'package:flutter/material.dart';

import 'platform_widgets.dart';

class LoadingWrapper extends StatelessWidget {
  LoadingWrapper({
    Key loaderKey,
    this.children,
    this.loading,
    this.ignorePointerWhenLoading = true,
  }) : _loaderKey = loaderKey;
  final List<Widget> children;
  final bool loading, ignorePointerWhenLoading;
  final Key _loaderKey;
  @override
  Widget build(BuildContext context) {
    var _children = children ?? [];
    if (loading ?? false)
      _children.add(PlatformLoader(key: _loaderKey, centered: true));
    final _stack = Stack(
      alignment: AlignmentDirectional.center,
      children: _children,
    );
    if (ignorePointerWhenLoading ?? true && loading) {
      return IgnorePointer(
        ignoring: loading ?? false,
        child: _stack,
      );
    } else {
      return _stack;
    }
  }
}
